//Projectile_LongRangeMissile.cs

   datablock AudioProfile(LongRangeMissileExplodeSound)
   {
      filename    = "./tntExplode.wav";
      description = AudioDefault3d;
      preload = true;
   };


datablock ParticleData(LongRangeMissileDebrisExplosionParticle)
{
   dragCoefficient      = 8;
   gravityCoefficient   = -0.5;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 300;
   lifetimeVarianceMS   = 10;
   textureName          = "base/data/particles/cloud";
   spinSpeed		= 10.0;
   spinRandomMin		= -500.0;
   spinRandomMax		= 500.0;
   colors[0]     = "1 0.5 0.0 0.5";
   colors[1]     = "0.9 0.0 0.0 0.0";
   sizes[0]      = 1;
   sizes[1]      = 2;

   useInvAlpha = false;
};
datablock ParticleEmitterData(LongRangeMissileDebrisExplosionEmitter)
{
   lifeTimeMS = 50;

   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 5;
   velocityVariance = 0.0;
   ejectionOffset   = 1.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "LongRangeMissileDebrisExplosionParticle";
};

datablock ParticleData(LongRangeMissileExplosionParticle)
{
   dragCoefficient      = 8;
   gravityCoefficient   = -5;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 900;
   lifetimeVarianceMS   = 300;
   textureName          = "base/data/particles/cloud";
   spinSpeed		= 10.0;
   spinRandomMin		= -50.0;
   spinRandomMax		= 50.0;
   colors[0]     = "0.9 0.5 0.0 0.9";
   colors[1]     = "0.8 0.3 0.0 0.6";
   colors[2]     = "0.5 0.0 0.0 0.0";

   sizes[0]      = 8.0;
   sizes[1]      = 15.0;
   sizes[2]      = 12.0;

   times[0] = 0.0;
   times[1] = 0.4;
   times[2] = 1.0;

   useInvAlpha = false;
};
datablock ParticleEmitterData(LongRangeMissileExplosionEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 15;
   velocityVariance = 1.0;
   ejectionOffset   = 3.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "LongRangeMissileExplosionParticle";
};

datablock ParticleData(LongRangeMissileExplosionRingParticle)
{
   dragCoefficient      = 8;
   gravityCoefficient   = -0.5;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 40;
   lifetimeVarianceMS   = 10;
   textureName          = "base/data/particles/cloud";
   spinSpeed		= 10.0;
   spinRandomMin		= -500.0;
   spinRandomMax		= 500.0;
   colors[0]     = "1 0.5 0.0 0.5";
   colors[1]     = "0.9 0.0 0.0 0.0";
   sizes[0]      = 8;
   sizes[1]      = 13;

   useInvAlpha = false;
};
datablock ParticleEmitterData(LongRangeMissileExplosionRingEmitter)
{
   lifeTimeMS = 50;

   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 5;
   velocityVariance = 0.0;
   ejectionOffset   = 3.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "LongRangeMissileExplosionRingParticle";
};

datablock ParticleData(LongRangeMissileExplosionChunkParticle)
{
   dragCoefficient      = 0;
   gravityCoefficient   = 3;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 1400;
   lifetimeVarianceMS   = 1300;
   textureName          = "base/data/particles/chunk";
   spinSpeed		= 10.0;
   spinRandomMin		= -500.0;
   spinRandomMax		= 500.0;
   colors[0]     = "0.1 0.1 0.1 0.5";
   colors[1]     = "0.0 0.0 0.0 0.5";
   sizes[0]      = 0.9;
   sizes[1]      = 0;

   useInvAlpha = true;
};
datablock ParticleEmitterData(LongRangeMissileExplosionChunkEmitter)
{
   lifeTimeMS = 50;

   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 25;
   velocityVariance = 0.0;
   ejectionOffset   = 3.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "LongRangeMissileExplosionChunkParticle";
};

datablock ParticleData(LongRangeMissileDebris1Particle)
{
   dragCoefficient      = 8;
   gravityCoefficient   = -0.5;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 700;
   lifetimeVarianceMS   = 100;
   textureName          = "base/data/particles/cloud";
   spinSpeed		= 10.0;
   spinRandomMin		= -500.0;
   spinRandomMax		= 500.0;
   colors[0]     = "1 0.5 0.0 0.5";
   colors[1]     = "0.9 0.0 0.0 0.0";
   sizes[0]      = 1;
   sizes[1]      = 2;

   useInvAlpha = false;
};
datablock ParticleEmitterData(LongRangeMissileDebris1Emitter)
{
   lifeTimeMS = 50;

   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 5;
   velocityVariance = 0.0;
   ejectionOffset   = 3.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "LongRangeMissileDebris1Particle";
};

datablock DebrisData(LongRangeMissileDebris)
{
   emitters = "LongRangeMissileDebris1Emitter";

	shapeFile = "./emptywheel.dts";
	lifetime = 0.3;
	minSpinSpeed = -300.0;
	maxSpinSpeed = 300.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 0;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = false;

	gravModifier = 0;
};


datablock ParticleData(LongRangeMissileDebris2Particle)
{
   dragCoefficient      = 0;
   gravityCoefficient   = -0.1;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 800;
   lifetimeVarianceMS   = 100;
   textureName          = "base/data/particles/cloud";
   spinSpeed		= 10.0;
   spinRandomMin		= -500.0;
   spinRandomMax		= 500.0;
   colors[0]     = "1 0.7 0.0 0.5";
   colors[1]     = "0.9 0.2 0.0 0.0";
   sizes[0]      = 0.5;
   sizes[1]      = 1;

   useInvAlpha = false;
};
datablock ParticleEmitterData(LongRangeMissile2DebrisEmitter)
{
   ejectionPeriodMS = 4;
   periodVarianceMS = 1;
   ejectionVelocity = 12;
   velocityVariance = 11.0;
   ejectionOffset   = 3.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "LongRangeMissileDebris2Particle";
};

datablock DebrisData(LongRangeMissile2Debris)
{
   emitters = "LongRangeMissile2DebrisEmitter";

	render2D = true;
	texture = "base/data/particles/cloud";

   elasticity = 0.5;
   friction = 0.2;
   numBounces = 1;
   bounceVariance = 0;
   explodeOnMaxBounce = True;
   staticOnMaxBounce = False;
   snapOnMaxBounce = False;
   minSpinSpeed = -500;
   maxSpinSpeed = 500;
   render2D = True;
   lifetime = 1;
   lifetimeVariance = 0.5;
   velocity = 20;
   velocityVariance = 0.5;
   fade = false;
   useRadiusMass = true;
   baseRadius = 0.3;
   gravModifier = 0;
   terminalVelocity = 60;
   ignoreWater = true;
};

datablock ParticleData(LongRangeMissileSubExplosion1Particle)
{
   dragCoefficient      = 1;
   gravityCoefficient   = 0;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 500;
   lifetimeVarianceMS   = 200;
   textureName          = "base/data/particles/cloud";
   spinSpeed		= 10.0;
   spinRandomMin		= -50.0;
   spinRandomMax		= 50.0;
   colors[0]     = "0.9 0.6 0.0 0.9";
   colors[1]     = "0.8 0.4 0.0 0.6";
   colors[2]     = "0.5 0.1 0.0 0.0";

   sizes[0]      = 3.0;
   sizes[1]      = 7.0;
   sizes[2]      = 5.0;

   times[0] = 0.0;
   times[1] = 0.3;
   times[2] = 1.0;

   useInvAlpha = false;
};
datablock ParticleEmitterData(LongRangeMissileSubExplosion1Emitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 10;
   velocityVariance = 1.0;
   ejectionOffset   = 3.0;
   thetaMin         = 80;
   thetaMax         = 100;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "LongRangeMissileSubExplosion1Particle";
};

datablock ParticleData(LongRangeMissileSubExplosion2Particle)
{
   dragCoefficient      = 4;
   gravityCoefficient   = 0;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 400;
   lifetimeVarianceMS   = 300;
   textureName          = "base/data/particles/cloud";
   spinSpeed		= 10.0;
   spinRandomMin		= -50.0;
   spinRandomMax		= 50.0;
   colors[0]     = "0.9 0.5 0.0 0.9";
   colors[1]     = "0.8 0.3 0.0 0.6";
   colors[2]     = "0.5 0.0 0.0 0.0";

   sizes[0]      = 4.0;
   sizes[1]      = 8.0;
   sizes[2]      = 7.0;

   times[0] = 0.0;
   times[1] = 0.4;
   times[2] = 1.0;

   useInvAlpha = false;
};
datablock ParticleEmitterData(LongRangeMissileSubExplosion2Emitter)
{
   ejectionPeriodMS = 6;
   periodVarianceMS = 0;
   ejectionVelocity = 15;
   velocityVariance = 7.0;
   ejectionOffset   = 2.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "LongRangeMissileSubExplosion2Particle";
};

datablock ExplosionData(LongRangeMissileDebrisExplosion)
{
   lifeTimeMS = 400;
   delayMS = 150;
   delayVariance = 100;
   offset = 5.5;

   emitter[0] = LongRangeMissileSubExplosion1Emitter;
   emitter[1] = LongRangeMissileSubExplosion2Emitter;
   //particleDensity = 30;
   //particleRadius = 1.0;

   faceViewer     = true;
   explosionScale = "0.7 0.7 0.7";

   debris = LongRangeMissile2Debris;
   debrisNum = 4;
   debrisNumVariance = 2;
   debrisPhiMin = 0;
   debrisPhiMax = 360;
   debrisThetaMin = 0;
   debrisThetaMax = 90;
   debrisVelocity = 10;
   debrisVelocityVariance = 2;

};

datablock ParticleData(LongRangeMissileFinalDebrisParticle)
{
   dragCoefficient      = 0.8;
   gravityCoefficient   = 0.0;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 1000;
   lifetimeVarianceMS   = 200;
   textureName          = "base/data/particles/cloud";
   spinSpeed		= 10.0;
   spinRandomMin		= -500.0;
   spinRandomMax		= 500.0;
   colors[0]     = "0.3 0.1 0.0 0.0";
   colors[1]     = "0.2 0.2 0.2 0.6";
   colors[2]     = "0.3 0.3 0.3 0.0";

   sizes[0]      = 1.0;
   sizes[1]      = 1.3;
   sizes[2]      = 1.5;

   times[0] = 0.0;
   times[1] = 0.4;
   times[2] = 1.0;

   useInvAlpha = true;
};
datablock ParticleEmitterData(LongRangeMissileFinalDebrisEmitter)
{
   ejectionPeriodMS = 10;
   periodVarianceMS = 0;
   ejectionVelocity = 10;
   velocityVariance = 2.0;
   ejectionOffset   = 1.5;
   thetaMin         = 0;
   thetaMax         = 15;
   phiReferenceVel  = 30;
   phiVariance      = 80;
   overrideAdvance = false;
   particles = "LongRangeMissileFinalDebrisParticle";
};

datablock DebrisData(LongRangeMissileFinalDebris)
{
   emitters = "LongRangeMissileFinalDebrisEmitter";

	render2D = true;
	texture = "base/data/particles/cloud";

   elasticity = 0.8;
   friction = 0.2;
   numBounces = 3;
   bounceVariance = 0;
   explodeOnMaxBounce = True;
   staticOnMaxBounce = False;
   snapOnMaxBounce = False;
   minSpinSpeed = -500;
   maxSpinSpeed = 500;
   render2D = True;
   lifetime = 4.5;
   lifetimeVariance = 0.5;
   velocity = 35;
   velocityVariance = 5;
   fade = false;
   useRadiusMass = true;
   baseRadius = 0.3;
   gravModifier = 0.8;
   terminalVelocity = 80;
   ignoreWater = true;
};

datablock ParticleData(LongRangeMissileFinalParticle)
{
   dragCoefficient      = 1;
   gravityCoefficient   = 0;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 1000;
   lifetimeVarianceMS   = 200;
   textureName          = "base/data/particles/cloud";
   spinSpeed		= 10.0;
   spinRandomMin		= -50.0;
   spinRandomMax		= 50.0;
   colors[0]     = "0.9 0.6 0.0 0.9";
   colors[1]     = "0.8 0.4 0.0 0.6";
   colors[2]     = "0.5 0.1 0.1 0.0";

   sizes[0]      = 7.0;
   sizes[1]      = 14.0;
   sizes[2]      = 16.0;

   times[0] = 0.0;
   times[1] = 0.3;
   times[2] = 1.0;

   useInvAlpha = true;
};
datablock ParticleEmitterData(LongRangeMissileFinalEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 10;
   velocityVariance = 1.0;
   ejectionOffset   = 3.0;
   thetaMin         = 80;
   thetaMax         = 100;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "LongRangeMissileFinalParticle";
};

datablock ParticleData(LongRangeMissileFinal1Particle)
{
   dragCoefficient      = 1;
   gravityCoefficient   = 0;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 800;
   lifetimeVarianceMS   = 300;
   textureName          = "base/data/particles/cloud";
   spinSpeed		= 10.0;
   spinRandomMin		= -50.0;
   spinRandomMax		= 50.0;
   colors[0]     = "0.9 0.6 0.0 0.9";
   colors[1]     = "0.8 0.4 0.0 0.6";
   colors[2]     = "0.5 0.1 0.0 0.0";

   sizes[0]      = 8.0;
   sizes[1]      = 16.0;
   sizes[2]      = 14.0;

   times[0] = 0.0;
   times[1] = 0.5;
   times[2] = 1.0;

   useInvAlpha = false;
};
datablock ParticleEmitterData(LongRangeMissileFinal1Emitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 2;
   ejectionVelocity = 50;
   velocityVariance = 15.0;
   ejectionOffset   = 4.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "LongRangeMissileFinal1Particle";
};

datablock ParticleData(LongRangeMissileFinal2Particle)
{
   dragCoefficient      = 4;
   gravityCoefficient   = 0;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 800;
   lifetimeVarianceMS   = 300;
   textureName          = "base/data/particles/cloud";
   spinSpeed		= 10.0;
   spinRandomMin		= -50.0;
   spinRandomMax		= 50.0;
   colors[0]     = "0.9 0.6 0.0 0.9";
   colors[1]     = "0.8 0.4 0.0 0.6";
   colors[2]     = "0.5 0.1 0.0 0.0";

   sizes[0]      = 8.0;
   sizes[1]      = 16.0;
   sizes[2]      = 14.0;

   times[0] = 0.0;
   times[1] = 0.5;
   times[2] = 1.0;

   useInvAlpha = false;
};
datablock ParticleEmitterData(LongRangeMissileFinal2Emitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 2;
   ejectionVelocity = 25;
   velocityVariance = 7.0;
   ejectionOffset   = 4.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "LongRangeMissileFinal2Particle";
};

datablock ExplosionData(LongRangeMissileFinalSubExplosion)
{
   lifeTimeMS = 600;
   delayMS = 300;
   delayVariance = 10;
   offset = 0;

   particleEmitter = LongRangeMissileFinal1Emitter;
   particleDensity = 40;
   particleRadius = 5;

   emitter[0] = LongRangeMissileFinalEmitter;
   emitter[1] = LongRangeMissileFinal2Emitter;
   emitter[2] = LongRangeMissileFinal1Emitter;

   faceViewer     = true;
   explosionScale = "1.0 1.0 1.0";

   debris = LongRangeMissileFinalDebris;
   debrisNum = 10;
   debrisNumVariance = 2;
   debrisPhiMin = 0;
   debrisPhiMax = 360;
   debrisThetaMin = 0;
   debrisThetaMax = 90;
   debrisVelocity = 50;
   debrisVelocityVariance = 2;

   // Dynamic light
   lightStartRadius = 15;
   lightEndRadius = 0;
   lightStartColor = "1 1 0 1";
   lightEndColor = "1 0 0 0";

};

datablock ExplosionData(LongRangeMissileExplosion)
{
   soundProfile = rocketExplodeSound;

   lifeTimeMS = 700;

   debris = LongRangeMissileDebris;
   debrisNum = 30;
   debrisNumVariance = 10;
   debrisPhiMin = 0;
   debrisPhiMax = 360;
   debrisThetaMin = 0;
   debrisThetaMax = 180;
   debrisVelocity = 200;
   debrisVelocityVariance = 50;

   particleEmitter = LongRangeMissileExplosionEmitter;
   particleDensity = 15;
   particleRadius = 0.6;

   emitter[1] = LongRangeMissileExplosionRingEmitter;
   emitter[2] = LongRangeMissileExplosionChunkEmitter;

   subExplosion[0] = LongRangeMissileFinalSubExplosion;
   subExplosion[1] = LongRangeMissileDebrisExplosion;
   subExplosion[2] = LongRangeMissileDebrisExplosion;
   subExplosion[3] = LongRangeMissileDebrisExplosion;
   subExplosion[4] = LongRangeMissileDebrisExplosion;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "3.0 10.0 3.0";
   camShakeDuration = 0.5;
   camShakeRadius = 40.0;

   // Dynamic light
   lightStartRadius = 5;
   lightEndRadius = 25;
   lightStartColor = "1 1 0 1";
   lightEndColor = "1 0 0 0";

   damageRadius = 25;
   radiusDamage = 200;

   impulseRadius = 30;
   impulseForce = 5500;

   playerBurnTime = 8000;
};

/////////////////
//  Projectile //
/////////////////

   datablock ParticleData(LongRangeMissileTrailParticle)
   {
      dragCoefficient      = 3;
      gravityCoefficient   = -0.0;
      inheritedVelFactor   = 0.15;
      constantAcceleration = 0.0;
      lifetimeMS           = 1500;
      lifetimeVarianceMS   = 305;
      textureName          = "base/data/particles/cloud";
      spinSpeed		= 10.0;
      spinRandomMin		= -150.0;
      spinRandomMax		= 150.0;
      colors[0]     = "1.0 1.0 0.0 0.0";
      colors[1]     = "1.0 0.2 0.0 0.5";
      colors[2]     = "0.20 0.20 0.20 0.3";
      colors[3]     = "0.0 0.0 0.0 0.0";

      sizes[0]      = 0.25;
      sizes[1]      = 2.85;
      sizes[2]      = 2.35;
      sizes[3]      = 0.05;

      times[0] = 0.0;
      times[1] = 0.4;
      times[2] = 0.7;
      times[3] = 1.0;

      useInvAlpha = false;
   };

   datablock ParticleData(LongRangeMissileTrail2Particle)
   {
      dragCoefficient      = 3;
      gravityCoefficient   = -0.0;
      inheritedVelFactor   = 0.15;
      constantAcceleration = 0.0;
      lifetimeMS           = 10000;
      lifetimeVarianceMS   = 1205;
      textureName          = "base/data/particles/cloud";
      spinSpeed		= 10.0;
      spinRandomMin		= -150.0;
      spinRandomMax		= 150.0;
      colors[0]     = "0.0 0.0 0.0 0.0";
      colors[1]     = "0.1 0.1 0.1 0.3";
      colors[2]     = "0.2 0.2 0.2 0.2";
      colors[3]     = "0.2 0.2 0.2 0.0";

      sizes[0]      = 3.25;
      sizes[1]      = 3.85;
      sizes[2]      = 4.35;
      sizes[3]      = 5.05;

      times[0] = 0.0;
      times[1] = 0.2;
      times[2] = 0.6;
      times[3] = 1.0;

      useInvAlpha = false;
   };

   datablock ParticleData(LongRangeMissileTrail3Particle)
   {
      dragCoefficient      = 1;
      gravityCoefficient   = -0.0;
      inheritedVelFactor   = -0.35;
      constantAcceleration = 0.0;
      lifetimeMS           = 1000;
      lifetimeVarianceMS   = 805;
      textureName          = "base/data/particles/cloud";
      spinSpeed		= 10.0;
      spinRandomMin		= -150.0;
      spinRandomMax		= 150.0;
      colors[0]     = "1.0 1.0 1.0 0.4";
      colors[1]     = "0.5 0.5 0.5 0.5";
      colors[2]     = "0.20 0.20 0.20 0.3";
      colors[3]     = "0.0 0.0 0.0 0.0";

      sizes[0]      = 0.25;
      sizes[1]      = 1.45;
      sizes[2]      = 2.00;
      sizes[3]      = 2.05;

      times[0] = 0.0;
      times[1] = 0.05;
      times[2] = 0.3;
      times[3] = 1.0;

      useInvAlpha = false;
   };
   datablock ParticleEmitterData(LongRangeMissileTrailEmitter)
   {
      ejectionPeriodMS = 2;
      periodVarianceMS = 1;
      ejectionVelocity = 2;
      velocityVariance = 1;
      ejectionOffset   = 0.0;
      thetaMin         = 0;
      thetaMax         = 8;
      phiReferenceVel  = 0;
      phiVariance      = 360;
      overrideAdvance = false;
      particles = "LongRangeMissileTrailParticle LongRangeMissileTrail2Particle LongRangeMissileTrail3Particle";
   };


if(!isObject(RocketLoopSound))
{
   datablock AudioProfile(RocketLoopSound)
   {
      filename    = "./sound/LongRangeMissileLoop.wav";
      description = AudioCloseLooping3d;
      preload = true;
   };
}
   AddDamageType("LongRangeMissileDirect",   '<bitmap:add-ons/Projectile_RocketMissile/CI_Rocket> %1',    '%2 <bitmap:add-ons/Projectile_RocketMissile/CI_Rocket> %1',1,1);
   AddDamageType("LongRangeMissileRadius",   '<bitmap:add-ons/Projectile_RocketMissile/CI_RocketRadius> %1',    '%2 <bitmap:add-ons/Projectile_RocketMissile/CI_RocketRadius> %1',1,0);
datablock ProjectileData(LongRangeMissileProjectile)
{
   projectileShapeName = "./LRMissile.dts";
   directDamage        = 400;
   directDamageType = $DamageType::LongRangeMissileDirect;
   radiusDamageType = $DamageType::LongRangeMissileRadius;
   impactImpulse	   = 8000;
   verticalImpulse	   = 3000;
   explosion           = LongRangeMissileExplosion;
   particleEmitter     = LongRangeMissileTrailEmitter;

   brickExplosionRadius = 10;
   brickExplosionImpact = false;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 80;             
   brickExplosionMaxVolume = 300;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 320;  //max volume of bricks that we can destroy if they aren't connected to the ground (should always be >= brickExplosionMaxVolume)

   sound = RocketLoopSound;

   muzzleVelocity      = 85;
   velInheritFactor    = 1.0;

   armingDelay         = 00;
   lifetime            = 20000;
   fadeDelay           = 19900;
   bounceElasticity    = 0.5;
   bounceFriction      = 0.20;
   isBallistic         = true;
   gravityMod = 0.1;

   hasLight    = true;
   lightRadius = 5.0;
   lightColor  = "1 0.5 0.0";

   uiName = "Rocket, LR Missile"; //naming it this way so it's next to the rocket in the alphabetized list
};

